 .gform-theme--framework .gform_heading {
  display: none; 
}
.summat--network-form .choices__list--dropdown .choices__list, .choices__list[aria-expanded] .choices__list {
  overflow: unset;
}
/* Global Form Css_______*/
.gform-theme--foundation .gform_fields {
    row-gap: 20px !important;
}
.gform-theme--foundation .gfield_required.gfield_required_asterisk {
   color: #F70F0F;
   font-size: 20px;
}
/* Replace dot with checkmark */
.gform-theme--framework input[type="radio"]::before {
	content: "✔" !important; background: transparent !important; color: #032859 !important; position: absolute !important; top: -1px !important; left: 3px !important;
}
.ginput_container.ginput_container_radio .gfield_radio .gchoice .gchoice_other_control {
    background: transparent; border: none; box-shadow: none; padding: 10px 10px; border-radius: 0; max-width: 120px; border-bottom: 1px solid #032859;
}
/* All Input CSS */
.summat--network-form .gfield input[type="text"], 
.summat--network-form .gfield input[type="email"], 
.summat--network-form .gfield input[type="tel"], 
.summat--network-form .gfield input[type="url"]{
  text-align: left; border-radius: 8px; padding: 36px 10px; border: 1px solid #D7DEE8; font-size: 20px; color: #032859; box-shadow: none;
}
.summat--network-form .gfield .textarea {
  border-radius: 8px; border: 1px solid #D7DEE8; font-size: 20px; color: #032859; box-shadow: none;
}
/* Select Input CSS */
.summat--network-form .ginput_container.ginput_container_select select {
  height: 74px; padding: 16px 10px; color: #032859; font-size: 20px; font-weight: 600; border-radius: 8px; border: 1px solid #D7DEE8; box-shadow: none;
}

/* All Radio CSS */
.summat--network-form .custom__radio_auto .ginput_container .gfield_radio {
  grid-template-columns: repeat(5, auto) !important;
}
.ginput_container.ginput_container_radio .gfield_radio .gchoice {
  display: flex;
}
.ginput_container.ginput_container_checkbox .gfield_checkbox .gchoice, 
.ginput_container.ginput_container_radio .gfield_radio .gchoice{
  align-items: center;
}
.gfield_checkbox .gchoice label, .gfield_radio .gchoice label {
	font-size: 20px; font-weight: 700; color: #5F6F84;
}

.gfield--type-checkbox.terms__checkbox .gform-field-label {
   font-size: 14px;
}

/* All Buttons CSS */
.summat--network-form .gform-theme--foundation .gform_footer, 
.summat--network-form .gform-theme--foundation .gform_page_footer {
  margin-top: 30px;
}
.gform-theme--foundation .gform_next_button.gform-theme-button.button, 
.gform-theme--foundation input[type="submit"] {
  padding: 24px !important; width: 420px !important; margin: 0 auto !important; background-color: #032859 !important; border-radius: 8px !important; font-size: 22px !important; font-weight: 600 !important;
}
.gform-theme--foundation .gform_previous_button.gform-theme-button {
  padding: 24px !important; width: 240px !important; margin: 0 auto !important; border: 1px solid #D7DEE8 !important; border-radius: 8px !important; font-size: 22px !important; font-weight: 600 !important;
}
.summat--network-form .gfield .gfield_label {
  font-size: 20px; font-weight: 700; text-align: left; color: #5f6f84;
}
.gform-theme--framework .req-type-select .gfield_radio {
  display: flex !important; flex-direction: row;
}
.summat--network-form .gfield_radio .gchoice .gfield-choice-input,
.summat--network-form .gfield_checkbox .gfield-choice-input {
  border-radius: 0px; position: relative; border: 2px solid #032859;
}
.gform_fileupload_rules {
  display: none;
}
.gfield_description {
  text-align: left;
}
.thank-you-msg .msg-box {
  gap: 40px; max-width: 680px; margin: 0 auto;
}
.thank-you-msg .logo {
  text-align: left;
}
.req-type-select {
  display: flex; justify-content: flex-end;
}
.req-type-select .gchoice:not(:last-child)::after {
  content: "/"; position: relative; font-size: 22px; color: #032859; font-weight: 600; left: 12px;
}
.req-type-select.gfield--type-choice label{
  font-size: 22px; font-weight: 600;
}
/* Hide actual radio buttons */
.gform_wrapper .gf-tabs input[type="radio"] {
    display: none;
}
/* Style labels like tabs */
.gform_wrapper .gf-tabs .gchoice label {
   display: inline-block; margin-right: 0px; padding-bottom: 0px; cursor: pointer; position: relative;
}
/* Default underline (hidden) */
.gform_wrapper .gf-tabs .gchoice label::after {
   content: ""; position: absolute; left: 0; bottom: 0; width: 0%; height: 2px; background-color: #0b5d66; transition: width 0.3s ease;
}
/* Active (checked) underline */
.gform_wrapper .gf-tabs input[type="radio"]:checked + label {
  font-weight: 900; color: #000;
}
.gform_wrapper .gf-tabs input[type="radio"]:checked + label::after {
    width: 100%;
}
.role-head-title {
  text-align: right !important; position: absolute !important; top: 0px !important; right: 20px !important;
}
.gf-checkbox-other {
  position: relative;
}

/* Role Selector (Suppliers Network Form) */
.supplier--role .gfield_radio {
  display: flex !important; flex-direction: row !important; flex-wrap: wrap; justify-content: center; align-items: center; gap: 20px;
}
.supplier--role .gfield_radio .gchoice {
  width: 47%;
}

fieldset.role-select .gfield-choice-input {
  visibility: hidden !important; position: absolute !important; opacity: 0 !important;
}
.role-head-info h3 {
  margin-bottom: 16px !important;
}
.role-head-info p {
  margin-bottom: 10px !important;
}
.role-head-info h3, .role-head-info p{
  margin: auto; text-align: center !important; width: 600px;
}
fieldset.role-select .ginput_container_radio .gfield_radio {
  display: grid; grid-template-columns: repeat(2, 1fr); gap: 30px;
}
fieldset.role-select .gchoice label {
  display: block; width: 100%; height: 100%; border: 1px solid #D7DEE8; outline: 2px solid transparent; border-radius: 6px; color: #032859; font-size: 20px; font-weight: 800; background: transparent; cursor: pointer; overflow: hidden; transition: 0.3s ease; position: relative; z-index: 0; padding-top: 12px; text-align: center; margin: 0;
}
fieldset.role-select .gchoice label:hover {
  outline: 2px solid #043A75;
}
fieldset.role-select .gchoice label.is-active {
  outline: 2px solid #043A75;
}
fieldset.role-select .gchoice label::before {
  content: ""; position: absolute; width: 100%; top: 0; z-index: -1; display: block; background: #99C8F2; padding: 25px;
}
fieldset.role-select .gchoice:nth-child(1) label::after {
  content: "Organization seeking procurement, sourcing, logistics coordination, distribution coordination, delivery visibility, or execution support from SummAT Pro.";
}
fieldset.role-select .gchoice:nth-child(2) label::after {
  content: "Carrier, freight, or logistics provider interested in supporting local, regional, expedited, temperature-controlled, or long-haul coordination opportunities.";
}
fieldset.role-select .gchoice:nth-child(3) label::after {
  content: "Ambient, refrigerated, freezer, cross-dock, or staging location provider supporting client, supplier, or brand movement needs.";
}
fieldset.role-select .gchoice:nth-child(4) label::after {
  content: "Goods, materials, or services provider interested in joining the SummAT Pro supplier network.";
}
fieldset.role-select .gchoice label::after {
  display: block; text-align: center; font-size: 22px; padding: 20px 44px 12px; font-weight: 600; text-transform: none;
}

/* Media CSS _________________*/
@media (max-width: 980px) {
  /* All Input CSS */
  .summat--network-form .gfield input[type="text"], 
  .summat--network-form .gfield input[type="email"], 
  .summat--network-form .gfield input[type="tel"], 
  .summat--network-form .gfield input[type="url"],
  .summat--network-form .ginput_container.ginput_container_select select,
  .summat--network-form .gfield .textarea{
    height: auto; padding: 26px 10px; font-size: 17px;
  }
  .gfield_checkbox .gchoice label, .gfield_radio .gchoice label,
  .summat--network-form .gfield .gfield_label {
	font-size:17px;
  }
  .gform-theme--foundation .gform_next_button.gform-theme-button.button, 
  .gform-theme--foundation input[type="submit"],
  .gform-theme--foundation .gform_previous_button.gform-theme-button {
    padding: 20px !important; width: 320px !important; font-size: 20px !important;
  }
  .summat--network-form .gfield_description {
    font-size: 11px !important;
  }
  .summat--network-form .gform-theme--foundation .gform_footer, .summat--network-form .gform-theme--foundation .gform_page_footer {
    margin-top: 20px;
  }
    fieldset.role-select .ginput_container_radio .gfield_radio {
    grid-template-columns: 1fr; gap: 20px;
  }
  fieldset.role-select .gchoice label {
    font-size: 18px;
  }
  fieldset.role-select .gchoice label::after {
    font-size: 18px; padding: 20px 40px 12px; font-weight: 600;
  }
  fieldset.role-select .gchoice label::before {
    padding: 22px;
  }
}
@media (max-width: 768px) {
  .summat--network-form .gfield input[type="text"], 
  .summat--network-form .gfield input[type="email"], 
  .summat--network-form .gfield input[type="tel"], 
  .summat--network-form .gfield input[type="url"],
  .summat--network-form .ginput_container.ginput_container_select select,
  .summat--network-form .gfield .textarea{
    padding: 04px 10px; font-size: 14px;
  }
  .gfield--type-checkbox.terms__checkbox .gform-field-label {
   font-size: 12px;
  }
  .gfield_checkbox .gchoice label, .gfield_radio .gchoice label,
  .summat--network-form .gfield .gfield_label {
	font-size:14px;
  }
  .gform-theme--foundation .gform_next_button.gform-theme-button.button, 
  .gform-theme--foundation input[type="submit"],
  .gform-theme--foundation .gform_previous_button.gform-theme-button {
    width: 240px !important; font-size: 18px !important;
  }
  .summat--network-form .gfield_description {
    font-size: 8px !important;
  }
  .supplier-role-wrapper .role-head-info {
    position: static !important;
  }
   fieldset.role-select .gchoice label,
   fieldset.role-select .gchoice label::after {
    font-size: 16px;
  }
  .supplier--role .gfield_radio .gchoice {
    width: 80%;
  }
  .supplier-role-wrapper {
    padding-inline: 0px;
  }
  fieldset.role-select .gchoice label::before {
    padding: 21px;
  }
  .role-head-info h3, .role-head-info p{
    width: 380px;
  }
  .role-head-info h3 {
    margin-bottom: 8px !important;
  }
  .role-head-info p {
    margin-bottom: 6px !important;
  }
}
@media (max-width: 640px) {
  .gform-theme--foundation .gform_fields {
    row-gap: 10px !important;
  }
  .summat--network-form .gform-theme--foundation .gform_footer, .summat--network-form .gform-theme--foundation .gform_page_footer {
    margin-top: 15px;
  }
  .summat--network-form .card-header, 
  .summat--network-form .card-body {
    padding: 18px 10px;
  }	
  .summat--network-form .gfield input[type="text"], 
  .summat--network-form .gfield input[type="email"], 
  .summat--network-form .gfield input[type="tel"], 
  .summat--network-form .gfield input[type="url"]{
	padding: 04px 10px;
  }
  .gform-theme--foundation .gform_next_button.gform-theme-button.button, 
  .gform-theme--foundation input[type="submit"],
  .gform-theme--foundation .gform_previous_button.gform-theme-button {
    width: 100% !important;
  }
  .ginput_container.ginput_container_radio .gfield_radio .gchoice {
    gap: 5px;
  }
  .header-content h3 {
    margin-top: 15px;
  }
  .gfield .gfield_label {
    font-size: 17px;
  }
  .gchoice label   {
    font-size: 14px;
  }
}
@media (max-width: 480px) {
  .network-step-head {
    margin-bottom: 10px;
  }
  .gfield--type-checkbox.terms__checkbox .gform-field-label {
   font-size: 10px;
  }
  .gform-theme--foundation .gform_fields {
    row-gap: 10px;
  }
  .header-content h3 {
    margin-top: 10px;
  }
  .ginput_container.ginput_container_radio .gfield_radio .gchoice .gchoice_other_control {
    max-width: 140px; padding: 0px 8px;
  }
  fieldset.role-select .gchoice label::after {
    padding: 20px 10px 14px;
  }
  .role-head-info h3, .role-head-info p{
    width: 270px;
  }
  .supplier--role .gfield_radio .gchoice {
    width: 100%;
  }
}

@media (max-width: 429px) {
    fieldset.role-select .gchoice label[for="choice_5_4_0"]::before {
        padding: 34px;
    }
}
@media (max-width: 356px) {
    fieldset.role-select .gchoice label[for="choice_5_4_2"]::before {
        padding: 34px;
    }
}